Add support for (the equivalent of?) editintro and preload
Closed, ResolvedPublic8 Story Points

Description

In VE, new users may use tutorials/wizards which use editintro/preload features, which aren't supported by the visual editor yet.

Details

Reference
bz49622
There are a very large number of changes, so older changes are hidden. Show Older Changes
Spage updated the task description. (Show Details)Jan 7 2015, 10:57 PM
Spage set Security to None.

Editintro/preloud are parts of inputbox extension? Or how it is related?

Editintro and preload are parameters supported by the core, but it is "hidden feature", which is exposed natively by InputBox extension (on non native - using external link)

Quiddity updated the task description. (Show Details)Jun 20 2015, 6:20 PM
Quiddity added subscribers: Cenarium, TheDJ.

I've merged the above, and copied the details into the description above.

nominating this as Q1 blocker, since this is closely tied to the current BLP practices on english wikipedia, a very visible and sensitive part of our policies.

Fannon added a subscriber: Fannon.Jun 22 2015, 10:00 AM

We've encountered this issue too on a private MediaWiki.
Would be really great to have this supported - this would make the VE more versatile in some use cases!

Thanks!

Jdforrester-WMF added a comment.EditedJun 22 2015, 3:08 PM

These tasks *really* shouldn't have been merged, despite being about 'the same' area of code (one is about important functionality half done through on-wiki hacky JavaScript, the other is about modifying a fundamental user pattern in core to work with VisualEditor); un-merging.

Jdforrester-WMF renamed this task from VisualEditor: Add support for (the equivalent of?) editintro and preload to Add support for (the equivalent of?) editintro and preload.Jun 22 2015, 3:09 PM
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF lowered the priority of this task from Normal to Lowest.
jhsoby added a subscriber: jhsoby.Sep 28 2015, 12:20 PM
Jdforrester-WMF added a subscriber: Tpt.

A note from @Tpt that this is pretty important for successful ProofreadPage integration.

Jdforrester-WMF raised the priority of this task from Lowest to Normal.Jun 23 2016, 2:58 PM
Jdforrester-WMF set the point value for this task to 8.

Thomas's suggestion is that if the article is a 404 (non-extant), we sling the contents of preload parameter's indicated article's Parsoid blob as the initial version of the article, and if that's not balanced wikitext (and so not the desired HTML) "oh well", at least it's better than nothing. Thoughts?

Tpt moved this task from Backlog to Top priority on the ProofreadPage board.Jun 23 2016, 9:26 PM
Tpt removed a project: ProofreadPage.

ProofreadPage needs support of the EditFormPreloadText hook instead of editinfo/preload parameters. Tracked by task T138588

It looks like there are similar problems on Mobile view, which may be of interest to anyone who is relying on preload: T126190: Preload does not work correctly on mobile view

VisualEditor having preload support for page creation would be nice. Preload is used in article wizards (e.g. en-wp, ru-wp).

Change 329796 had a related patch set uploaded (by Esanders):
Add editintro to notices

https://gerrit.wikimedia.org/r/329796

Change 329796 merged by jenkins-bot:
Add editintro to notices

https://gerrit.wikimedia.org/r/329796

This would be very useful for the Wikidebate project at Wikiversity.

Change 378343 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] Enable preload in VisualEditor

https://gerrit.wikimedia.org/r/378343

DLynch added a subscriber: DLynch.Sep 15 2017, 9:47 PM

That patch is very much the "better than nothing" version James suggested. It pulls the article, substitutes in the parameters, and then if it's in visual mode it runs it through Parsoid. It should be functionally-equivalent for the 2017 wikitext editor, though, since that doesn't rely on always containing valid documents.

Change 378726 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] DesktopArticleTarget: Support preloadtitle in source mode

https://gerrit.wikimedia.org/r/378726

Change 378726 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] DesktopArticleTarget: Support preloadtitle in source mode

https://gerrit.wikimedia.org/r/378726

Change 378343 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Enable preload in VisualEditor

https://gerrit.wikimedia.org/r/378343

Deskana assigned this task to DLynch.Sep 20 2017, 11:13 AM
Deskana added a subscriber: Deskana.

What is the best way to test this?

I tried using Template:Submit an edit request on the beta cluster, which appears to use preloading, but it kicked me straight in to the 2010 editor even though I've got the 2017 editor beta feature enabled. I don't even know where I'd begin to test it in the visual editor.

Change 379246 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] Hooks: remove preloadtitle from unsupported list

https://gerrit.wikimedia.org/r/379246

Change 379246 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Hooks: remove preloadtitle from unsupported list

https://gerrit.wikimedia.org/r/379246

Just to confirm, now that patch has made its way to the beta cluster, the inputbox button works and gets us this:

jeremyb-phone edited subscribers, added: jeremyb, Pharos; removed: jeremyb-phone.
Jdforrester-WMF closed this task as Resolved.Mon, Sep 25, 2:52 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMon, Sep 25, 2:52 PM

Change 380530 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] Api: include preload content when section=new

https://gerrit.wikimedia.org/r/380530

Change 380530 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Api: include preload content when section=new

https://gerrit.wikimedia.org/r/380530